Bug 139261 - spec needs more requires to compile php 5.0.2
spec needs more requires to compile php 5.0.2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 11:59 EST by Marius Andreiana
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 09:48:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2004-11-14 11:59:52 EST
php spec should require the following devel packages (without them, it
won't compile)

1) libidn-devel

checking for cURL 7.10.5 or greater... libcurl 7.12.1
checking for curl_easy_perform in -lcurl... no
configure: error: There is something wrong. Please check config.log
for more information.
error: Bad exit status from /var/tmp/rpm-tmp.59586 (%build)

config.log:
/usr/bin/ld: cannot find -lidn
LIBS='-lcurl -lbz2 -lz -lresolv -lm -ldl -lnsl  -lxml2 -lz -lm -lssl
-lcrypto -lgssapi_krb5 -lkrb5 -lcom_err -lk5crypto -lresolv -ldl -lz
-lcurl -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lcom_err -lk5crypto
-lresolv -ldl -lz -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv
-lidn -lssl -lcrypto -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lcom_err
-lk5crypto -lresolv -ldl -lz -lz'

2) mysqlclient10-devel

checking for MySQL UNIX socket location... no
configure: error: Cannot find libmysqlclient under /usr.
Note that the MySQL client library is not bundled anymore.
error: Bad exit status from /var/tmp/rpm-tmp.17925 (%build)
Comment 1 Joe Orton 2004-11-14 16:19:45 EST
1) is bug 138441

Will fix (2), thanks.
Comment 2 Joe Orton 2005-01-12 09:48:51 EST
(2) is no longer needed, php builds against mysql-devel.

Note You need to log in before you can comment on or make changes to this bug.